IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FMM_PLANTYPE')
 CREATE TABLE T_FMM_PLANTYPE (
	FID                 BIGINT             DEFAULT 0       NOT NULL,       
	FNUMBER             NVARCHAR(30)       DEFAULT ' '     NOT NULL,       
	FNAME               NVARCHAR(50)       DEFAULT ' '     NOT NULL,       
	FSTATUS             NVARCHAR(50)       DEFAULT ' '     NOT NULL,        
	FCREATORID          BIGINT             DEFAULT 0       NOT NULL,        
	FMODIFIERID         BIGINT             DEFAULT 0       NOT NULL,        
	FENABLE             NVARCHAR(50)       DEFAULT ' '     NOT NULL,       
	FCREATETIME         DATETIME,        
	FMODIFYTIME         DATETIME,        
	FMASTERID           BIGINT             DEFAULT 0       NOT NULL,      
	FCREATEORGID        BIGINT             DEFAULT 0       NOT NULL,      
	FORGID              BIGINT             DEFAULT 0       NOT NULL,      
	FCTRLSTRATEGY       NVARCHAR(50)       DEFAULT ' '     NOT NULL,        
	FSOURCEDATAID       BIGINT             DEFAULT 0       NOT NULL,        
	FBITINDEX           INT                DEFAULT 0       NOT NULL,      
	FSOURCEBITINDEX     INT                DEFAULT 0       NOT NULL,       
	FAUDITORID          BIGINT             DEFAULT 0       NOT NULL,      
	FAUDITTIME          DATETIME,     
	FREMARK             NVARCHAR(255)      DEFAULT ' '     NOT NULL 
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FMM_PLANTYPE_L')
 CREATE TABLE T_FMM_PLANTYPE_L (
	FPKID               NVARCHAR(36)        DEFAULT ' '    NOT NULL,       
	FID                 BIGINT              DEFAULT 0      NOT NULL,        
	FLOCALEID           NVARCHAR(10)        DEFAULT ' '    NOT NULL,     
	FNAME               NVARCHAR(50)        DEFAULT ' '    NOT NULL      
);


 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMTS_TASK' AND KSQL_COL_NAME ='FVIEWSCHEMEID') 
  ALTER TABLE T_PMTS_TASK ADD (FVIEWSCHEMEID BIGINT DEFAULT 0 NOT NULL );
  
  IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMTS_TASK' AND KSQL_COL_NAME ='FENTITYID') 
  ALTER TABLE T_PMTS_TASK ADD (FENTITYID NVARCHAR(36) DEFAULT ' ' NOT NULL );

